// Wiki functionality
const wikiInput = document.getElementById('wikiInput');
const wikiPreview = document.getElementById('wikiPreview');

wikiInput.addEventListener('input', () => {
  wikiPreview.innerHTML = wikiInput.value;
  updateWordCount();
});

// Task functionality
const taskForm = document.getElementById('taskForm');
const taskInput = document.getElementById('taskInput');
const taskList = document.getElementById('taskList');

taskForm.addEventListener('submit', (e) => {
  e.preventDefault();
  if (taskInput.value.trim()) {
    addTask(taskInput.value);
    taskInput.value = '';
    updateTaskCount();
  }
});

function addTask(task) {
  const li = document.createElement('li');
  li.textContent = task;
  
  const deleteBtn = document.createElement('button');
  deleteBtn.textContent = '×';
  deleteBtn.addEventListener('click', () => {
    li.remove();
    updateTaskCount();
  });
  
  li.appendChild(deleteBtn);
  taskList.appendChild(li);
}

// Analytics functionality
const wordCount = document.getElementById('wordCount');
const taskCount = document.getElementById('taskCount');

function updateWordCount() {
  const words = wikiInput.value.split(/\s+/).filter(word => word.length > 0);
  wordCount.textContent = words.length;
}

function updateTaskCount() {
  const tasks = taskList.querySelectorAll('li').length;
  taskCount.textContent = tasks;
}

// Initial setup
updateWordCount();
updateTaskCount();